// Adafruit_NeoMatrix example for single NeoPixel Shield.
// Scrolls 'Howdy' across the matrix in a portrait (vertical) orientation.

#include <Adafruit_GFX.h>
#include <Adafruit_NeoMatrix.h>
#include <Adafruit_NeoPixel.h>
#include "Arduino.h"
#include "words.h"
#include "clock_set.h"
#ifndef PSTR
#define PSTR // Make Arduino Due happy
#endif

#define PIN 4

// MATRIX DECLARATION:
// Parameter 1 = width of NeoPixel matrix
// Parameter 2 = height of matrix
// Parameter 3 = pin number (most are valid)
// Parameter 4 = matrix layout flags, add together as needed:
//   NEO_MATRIX_TOP, NEO_MATRIX_BOTTOM, NEO_MATRIX_LEFT, NEO_MATRIX_RIGHT:
//     Position of the FIRST LED in the matrix; pick two, e.g.
//     NEO_MATRIX_TOP + NEO_MATRIX_LEFT for the top-left corner.
//   NEO_MATRIX_ROWS, NEO_MATRIX_COLUMNS: LEDs are arranged in horizontal
//     rows or in vertical columns, respectively; pick one or the other.
//   NEO_MATRIX_PROGRESSIVE, NEO_MATRIX_ZIGZAG: all rows/columns proceed
//     in the same order, or alternate lines reverse direction; pick one.
//   See example below for these values in action.
// Parameter 5 = pixel type flags, add together as needed:
//   NEO_KHZ800  800 KHz bitstream (most NeoPixel products w/WS2812 LEDs)
//   NEO_KHZ400  400 KHz (classic 'v1' (not v2) FLORA pixels, WS2811 drivers)
//   NEO_GRB     Pixels are wired for GRB bitstream (most NeoPixel products)
//   NEO_GRBW    Pixels are wired for GRBW bitstream (RGB+W NeoPixel products)
//   NEO_RGB     Pixels are wired for RGB bitstream (v1 FLORA pixels, not v2)


// Example for NeoPixel Shield.  In this application we'd like to use it
// as a 5x8 tall matrix, with the USB port positioned at the top of the
// Arduino.  When held that way, the first pixel is at the top right, and
// lines are arranged in columns, progressive order.  The shield uses
// 800 KHz (v2) pixels that expect GRB color data.
Adafruit_NeoPixel strip = Adafruit_NeoPixel(114, PIN, NEO_GRB + NEO_KHZ800);
Adafruit_NeoMatrix matrix = Adafruit_NeoMatrix(11, 10, PIN,
                            NEO_MATRIX_BOTTOM     + NEO_MATRIX_RIGHT +
                            NEO_MATRIX_COLUMNS + NEO_MATRIX_ZIGZAG,
                            NEO_GRB            + NEO_KHZ800);



void setup() {
  matrix.begin();
  strip.begin();
  strip.setPixelColor(110, 255, 0, 0);
  strip.show();
  delay(500);
  matrix.setTextWrap(false);
  matrix.setBrightness(255);
  // matrix.setTextColor(colors[0]);
  Serial.begin(115200);
}

int x    = matrix.width();
int pass = 0;

void loop() {


  strip.show();
  matrix.show();
  delay(5000);





}

/*void zeigeEs() {
  for (int iNCnt = 0; iNCnt < es_Size; iNCnt++) {
    matrix.drawPixel(es_Pixels[iNCnt], es_Row, matrix.Color(es_r, es_g, es_b));
  }
}
*/
void zeigeIst() {
  for (int iNCnt = 0; iNCnt < ist_Size; iNCnt++) {
    matrix.drawPixel(ist_Pixels[iNCnt], ist_Row, matrix.Color(ist_r, ist_g, ist_b));
  }
}

void zeigeFuenf1() {
  for (int iNCnt = 0; iNCnt < fuenf1_Size; iNCnt++) {
    matrix.drawPixel(fuenf1_Pixels[iNCnt], fuenf1_Row, matrix.Color(fuenf1_r, fuenf1_g, fuenf1_b));
  }
}
void zeigeZehn2() {
  for (int iNCnt = 0; iNCnt < zehn2_Size; iNCnt++) {
    matrix.drawPixel(zehn2_Pixels[iNCnt], zehn2_Row, matrix.Color(zehn2_r, zehn2_g, zehn2_b));
  }
}
void zeigeZwanzig2() {
  for (int iNCnt = 0; iNCnt < zwanzig2_Size; iNCnt++) {
    matrix.drawPixel(zwanzig2_Pixels[iNCnt], zwanzig2_Row, matrix.Color(zwanzig2_r, zwanzig2_g, zwanzig2_b));
  }
}
void zeigeDrei3() {
  for (int iNCnt = 0; iNCnt < drei3_Size; iNCnt++) {
    matrix.drawPixel(drei3_Pixels[iNCnt], drei3_Row, matrix.Color(drei3_r, drei3_g, drei3_b));
  }
}
void zeigeViertel3() {
  for (int iNCnt = 0; iNCnt < viertel3_Size; iNCnt++) {
    matrix.drawPixel(viertel3_Pixels[iNCnt], viertel3_Row, matrix.Color(viertel3_r, viertel3_g, viertel3_b));
  }
}
void zeigeNach4() {
  for (int iNCnt = 0; iNCnt < nach4_Size; iNCnt++) {
    matrix.drawPixel(nach4_Pixels[iNCnt], nach4_Row, matrix.Color(nach4_r, nach4_g, nach4_b));
  }
}
void zeigeVor4() {
  for (int iNCnt = 0; iNCnt < vor4_Size; iNCnt++) {
    matrix.drawPixel(vor4_Pixels[iNCnt], vor4_Row, matrix.Color(vor4_r, vor4_g, vor4_b));
  }
}
void zeigeNacht4() {
  for (int iNCnt = 0; iNCnt < nacht4_Size; iNCnt++) {
    matrix.drawPixel(nacht4_Pixels[iNCnt], nacht4_Row, matrix.Color(nacht4_r, nacht4_g, nacht4_b));
  }
}
void zeigeHalb5() {
  for (int iNCnt = 0; iNCnt < halb5_Size; iNCnt++) {
    matrix.drawPixel(halb5_Pixels[iNCnt], halb5_Row, matrix.Color(halb5_r, halb5_g, halb5_b));
  }
}
void zeigeSieben5() {
  for (int iNCnt = 0; iNCnt < sieben5_Size; iNCnt++) {
    matrix.drawPixel(sieben5_Pixels[iNCnt], sieben5_Row, matrix.Color(sieben5_r, sieben5_g, sieben5_b));
  }
}
void zeigeZwei6() {
  for (int iNCnt = 0; iNCnt < zwei6_Size; iNCnt++) {
    matrix.drawPixel(zwei6_Pixels[iNCnt], zwei6_Row, matrix.Color(zwei6_r, zwei6_g, zwei6_b));
  }
}
void zeigeZwoelf6() {
  for (int iNCnt = 0; iNCnt < zwoelf6_Size; iNCnt++) {
    matrix.drawPixel(zwoelf6_Pixels[iNCnt], zwoelf6_Row, matrix.Color(zwoelf6_r, zwoelf6_g, zwoelf6_b));
  }
}
void zeigeDrei7() {
  for (int iNCnt = 0; iNCnt < drei7_Size; iNCnt++) {
    matrix.drawPixel(drei7_Pixels[iNCnt], drei7_Row, matrix.Color(drei7_r, drei7_g, drei7_b));
  }
}
void zeigeFuenf7() {
  for (int iNCnt = 0; iNCnt < fuenf7_Size; iNCnt++) {
    matrix.drawPixel(fuenf7_Pixels[iNCnt], fuenf7_Row, matrix.Color(fuenf7_r, fuenf7_g, fuenf7_b));
  }
}
void zeigeElf8() {
  for (int iNCnt = 0; iNCnt < elf8_Size; iNCnt++) {
    matrix.drawPixel(elf8_Pixels[iNCnt], elf8_Row, matrix.Color(elf8_r, elf8_g, elf8_b));
  }
}
void zeigeNeun8() {
  for (int iNCnt = 0; iNCnt < neun8_Size; iNCnt++) {
    matrix.drawPixel(neun8_Pixels[iNCnt], neun8_Row, matrix.Color(neun8_r, neun8_g, neun8_b));
  }
}
void zeigeVier8() {
  for (int iNCnt = 0; iNCnt < vier8_Size; iNCnt++) {
    matrix.drawPixel(vier8_Pixels[iNCnt], vier8_Row, matrix.Color(vier8_r, vier8_g, vier8_b));
  }
}
void zeigeAcht9() {
  for (int iNCnt = 0; iNCnt < acht9_Size; iNCnt++) {
    matrix.drawPixel(acht9_Pixels[iNCnt], acht9_Row, matrix.Color(acht9_r, acht9_g, acht9_b));
  }
}
void zeigeZehn9() {
  for (int iNCnt = 0; iNCnt < zehn9_Size; iNCnt++) {
    matrix.drawPixel(zehn9_Pixels[iNCnt], zehn9_Row, matrix.Color(zehn9_r, zehn9_g, zehn9_b));
  }
}
void zeigeSechs10() {
  for (int iNCnt = 0; iNCnt < sechs10_Size; iNCnt++) {
    matrix.drawPixel(sechs10_Pixels[iNCnt], sechs10_Row, matrix.Color(sechs10_r, sechs10_g, sechs10_b));
  }
}
void zeigeUhr() {
  for (int iNCnt = 0; iNCnt < uhr_Size; iNCnt++) {
    matrix.drawPixel(uhr_Pixels[iNCnt], uhr_Row, matrix.Color(uhr_r, uhr_g, uhr_b));
  }
}
void zeigeMinutenpunkt1(){
   strip.setPixelColor(minutenpunkt1, strip.Color(mp_r, mp_g, mp_b));
}
void zeigeMinutenpunkt2(){
   strip.setPixelColor(minutenpunkt2, strip.Color(mp_r, mp_g, mp_b));
}
void zeigeMinutenpunkt3(){
   strip.setPixelColor(minutenpunkt3, strip.Color(mp_r, mp_g, mp_b));
}
void zeigeMinutenpunkt4(){
   strip.setPixelColor(minutenpunkt4, strip.Color(mp_r, mp_g, mp_b));
}
